# class Puppet::Util::NetworkDevice::Transport::Base

### Attributes

default_prompt[RW]
host[RW]
password[RW]
port[RW]
timeout[RW]
user[RW]

### Public Class Methods

new() click to toggle source

    # File lib/puppet/util/network_device/transport/base.rb, line 9
    def initialize
      @timeout = 10
    end

### Public Instance Methods

command(cmd, options = {}) { |output| ... } click to toggle source

    # File lib/puppet/util/network_device/transport/base.rb, line 19
    def command(cmd, options = {})
      send(cmd)
      expect(options[:prompt] || default_prompt) do |output|
        yield output if block_given?
      end
    end

expect(prompt) click to toggle source

    # File lib/puppet/util/network_device/transport/base.rb, line 16
    def expect(prompt)
    end

send(cmd) click to toggle source

    # File lib/puppet/util/network_device/transport/base.rb, line 13
    def send(cmd)
    end